const BaseConsts = require('./BaseConsts');

const DESTINATION_PATHS = {
    "client_side_addons": "/plugins",
    "server_side_addons": "/serverSidePlugins",
    "external_addons": "/external-plugins/apiPlugins/plugins",
    "middlewares": "/external-plugins/apiPlugins/middlewares",
    "configuration_rewriters": "/external-plugins/apiPlugins/configuration_rewriters"
};

const DESTINATION_PATHS_FILES = {
    "configuration_rewriters": true,
    "middlewares": true,
};

class LinuxConsts extends BaseConsts {
    constructor() {
        super(DESTINATION_PATHS, DESTINATION_PATHS_FILES)
    }
}


module.exports = new LinuxConsts();